# salt.states.mssql_user

## Management of Microsoft SQLServer Users

The mssql_user module is used to create and manage SQL Server Users

    frank:
      mssql_user.present:
        - database: yolo

salt.states.mssql_user.absent(name, **kwargs)

  Ensure that the named user is absent

  name

    The username of the user to remove

salt.states.mssql_user.present(name, login=None, domain=None, database=None, roles=None, options=None, **kwargs)

  Checks existence of the named user. If not present, creates the user with the specified roles and options.

  name

    The name of the user to manage

  login

    If not specified, will be created WITHOUT LOGIN

  domain

    Creates a Windows authentication user. Needs to be NetBIOS domain or hostname

  database

    The database of the user (not the login)

  roles

    Add this user to all the roles in the list

  options

    Can be a list of strings, a dictionary, or a list of dictionaries